Software for the pixel grid.

== pixel.py ==

This software will turn an 8x8 image or animated image (as read by the PIL
library) into servo commands for a pixel grid.

Usage: 
    pixel.py [-h] [-t] [-v] [-c] [-d delay] <files>

    -h     Display usage string
    -t     Test mode
               This sets all pixels to 0, then to 255, then back to 0.
    -v     View mode
               Outputs to the screen only. Does not try to open any devices.
    -c     Calibration mode
               Sets all outputs to 1500us. Useful for assembling the motors.
    -d n   Sets inter-image delay to n seconds

This command will display all files in sequence, with a specified delay in
between each image. Animated formats will be played once through, frame by
frame, with a fixed inter-frame delay.


maestro.py is from:
https://github.com/FRC4564/Maestro

With the addition of the ability to specify the baud rate when opening the
serial port.


== maketext.py ==

maketext.py is a helper program that will generate a scrolltext as an animated
image file.

Usage:
    maketext.py text file.gif

Note that text is a single argument and should be quoted appropriately.

It requires ImageMagick to be installed. It will also look for a font in
Beeb/Beeb.ttf. That font is available from:

https://fontstruct.com/fontstructions/show/63444/beeb
